@fs-units:1rem;
@fs-factor:1.2;

:root {
    --fs: 20px;

    --fs_xxs: 0.625*@fs-units;
    --fs_xs: 0.75*@fs-units;
    --fs_s: 0.875*@fs-units;
    --fs_l: 1.125*@fs-units;
    --fs_xl: 1.25*@fs-units;
    --fs_xxl: 1.5*@fs-units;

    --fs_h1: @fs-factor*@fs-factor*@fs-factor*@fs-factor*@fs-units;
    --fs_h2: @fs-factor*@fs-factor*@fs-factor*@fs-units;
    --fs_h3: @fs-factor*@fs-factor*@fs-units;
    --fs_h4: @fs-factor*@fs-units;
    --fs_h5: 1*@fs-units;
    --fs_h6: @fs-units/@fs-factor;
}

@media @mq_m_l {
    :root {
        --fs: 18px;
    }
}
@media @mq_phone {
    :root {
        --fs: 5vmin;

        --fs_h1: 1.5*@fs-units;
        --fs_h2: 1.375*@fs-units;
        --fs_h3: 1.25*@fs-units;
        --fs_h4: 1.125*@fs-units;
    }
}

@ff-sans:  'Roboto', sans-serif;
@ff-serif: 'Roboto', sans-serif;
@ff-cursive: Times New Roman;

@ff-primary:@ff-serif;
@ff-secondary:@ff-sans;
@ff-headings:@ff-serif;
@ff-text:@ff-sans;

@font-primary:@ff-primary;
@font-secondary:@ff-secondary;

@font-color: @c-text;
@font-color-invert: @c-text-invert;

@text-color: @c-text;
@text-color-invert: @c-text-invert;

@font-weight: 300;
@font-weight_phone: @font-weight;

@letter-spacing: 0.06em;
@letter-spacing_phone: @letter-spacing;

@paragraph-line-height:1.5;

@headings-font-family: @ff-headings;
@headings-font-weight: 500;
@headings-line-height: 1.125;
@headings-offset:@headings-line-height*0.125em;

@headings-color: @c-title;
@headings-color-invert: @c-title-invert;
